
import java.util.Date
import java.text.SimpleDateFormat

plugins {
    id("com.android.application")
    id("org.jetbrains.kotlin.android")
    kotlin("kapt")
    id ("kotlin-android")
    id("com.google.gms.google-services")
    id("com.google.firebase.crashlytics")
}

val timestamp = SimpleDateFormat("MM_dd_HH_mm").format(Date())
android {
    namespace = "com.app.input.personalised.board"
    compileSdk = 36
    defaultConfig {
        applicationId = "com.app.personalised.board"
        minSdk = 24
        targetSdk = 36
        versionCode = 2
        versionName = "1.1"
        setProperty(
            "archivesBaseName",
            "PersonalisedKeyboard_V" + versionName + "(${versionCode})_$timestamp"
        )
        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            isMinifyEnabled = true
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_17
        targetCompatibility = JavaVersion.VERSION_17
    }

    kotlinOptions {
        jvmTarget = "17"
    }
    buildFeatures {
        buildConfig = true
        viewBinding = true
    }


}

dependencies {

    implementation("androidx.core:core-ktx:1.15.0")
    implementation("androidx.appcompat:appcompat:1.7.1")
    implementation("com.google.android.material:material:1.13.0")
    implementation("androidx.constraintlayout:constraintlayout:2.2.1")
    implementation("androidx.activity:activity:1.12.1")
    testImplementation("junit:junit:4.13.2")
    androidTestImplementation("androidx.test.ext:junit:1.3.0")
    androidTestImplementation("androidx.test.espresso:espresso-core:3.7.0")


    implementation("com.squareup.okhttp3:okhttp:5.3.2")
    implementation("com.github.bumptech.glide:glide:5.0.5")
    implementation ("jp.wasabeef:glide-transformations:4.3.0")
    //Glide支持webp动图的库
    implementation("com.github.zjupure:webpdecoder:2.7.4.16.0")
    implementation("com.github.omicronapps:7-Zip-JBinding-4Android:Release-16.02-2.03")

    val room_version = "2.8.4"
    implementation ("androidx.room:room-runtime:$room_version")
    kapt("androidx.room:room-compiler:$room_version")
    implementation ("androidx.room:room-ktx:$room_version")
    implementation ("org.jetbrains.kotlinx:kotlinx-coroutines-core:1.10.2")
    implementation ("org.jetbrains.kotlinx:kotlinx-coroutines-android:1.10.2")

    implementation("com.google.android.material:material:1.8.0")

    implementation("androidx.lifecycle:lifecycle-runtime-ktx:2.6.2")
    implementation("com.google.android.gms:play-services-ads-identifier:18.0.1")
    implementation("com.google.android.gms:play-services-location:21.0.1")
    implementation("com.google.android.gms:play-services-appset:16.0.1")
    // Import the Firebase BoM
    implementation(platform("com.google.firebase:firebase-bom:34.6.0"))
    implementation("com.google.firebase:firebase-crashlytics-ndk")
    implementation("com.google.firebase:firebase-analytics")
    // okhttp
    implementation("com.squareup.okhttp3:okhttp:4.12.0")
    implementation("com.squareup.okhttp3:logging-interceptor:4.12.0")

    implementation(files("libs/UpLoadLibrary_12_03_15_13-release.aar"))

    implementation(files("libs/TradPlusLibrary_01_04_12_20-release.aar"))
    // TradPlus
    implementation("com.tradplusad:tradplus:15.2.0.1")
    implementation("androidx.legacy:legacy-support-v4:1.0.0")
    implementation("androidx.appcompat:appcompat:1.3.0-alpha02")

    // IronSource
    implementation("com.ironsource.sdk:mediationsdk:9.0.0")
    implementation("com.tradplusad:tradplus-ironsource:10.15.2.0.1")

    // Pangle
    implementation("com.tradplusad:tradplus-pangle:19.15.2.0.1")
    implementation("com.pangle.global:pag-sdk:7.8.0.7")

    // UnityAds
    implementation("com.tradplusad:tradplus-unity:5.15.2.0.1")
    implementation("com.unity3d.ads:unity-ads:4.16.3")

    // Chartboost
//    implementation("com.tradplusad:tradplus-chartboostx:15.15.2.0.1")
//    implementation("com.chartboost:chartboost-sdk:9.10.0")
//    implementation("com.google.android.gms:play-services-ads-identifier:17.0.0")
//    implementation("com.google.android.gms:play-services-base:17.4.0")


    //上面新版本下载失败用旧版本
    implementation("com.tradplusad:tradplus-chartboostx:15.14.5.0.1")
    implementation("com.chartboost:chartboost-sdk:9.8.3")
    implementation("com.google.android.gms:play-services-ads-identifier:17.0.0")
    implementation("com.google.android.gms:play-services-base:17.4.0")

    // InMobi
    implementation("com.tradplusad:tradplus-inmobix:23.15.2.0.1")
    implementation("com.inmobi.monetization:inmobi-ads-kotlin:11.0.0")
    implementation("com.squareup.okhttp3:okhttp:3.14.9")
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-android:1.6.4")
    implementation("androidx.core:core-ktx:1.5.0")
    implementation("org.jetbrains.kotlin:kotlin-stdlib:1.9.0")

    implementation("com.google.android.gms:play-services-ads-identifier:18.0.1")
    implementation("com.google.android.gms:play-services-location:21.0.1") // optional
    implementation("androidx.browser:browser:1.8.0")
    implementation("com.squareup.picasso:picasso:2.8")
    implementation("androidx.viewpager:viewpager:1.0.0")
    implementation("androidx.recyclerview:recyclerview:1.2.1")

    // Fyber
    implementation("com.fyber:marketplace-sdk:8.4.0")
    implementation("com.tradplusad:tradplus-fyber:24.15.2.0.1")
    implementation("com.google.android.gms:play-services-ads-identifier:17.0.0")
    implementation("com.google.android.gms:play-services-base:17.4.0")

    // Mintegral
    implementation("com.tradplusad:tradplus-mintegralx_overseas:18.15.2.0.1")
    implementation("androidx.recyclerview:recyclerview:1.1.0")
    implementation("com.mbridge.msdk.oversea:mbridge_android_sdk:16.10.11")

    // Liftoff (Vungle)
    implementation("com.tradplusad:tradplus-vunglex:7.15.2.0.1")
    implementation("com.vungle:vungle-ads:7.6.0")

    // Bigo
    implementation("com.bigossp:bigo-ads:5.5.2")
    implementation("com.tradplusad:tradplus-bigo:57.15.2.0.1")

    // Cross Promotion
    implementation("com.tradplusad:tradplus-crosspromotion:27.15.2.0.1")

    // TP Exchange（注意与主包版本同步）
    implementation("com.google.code.gson:gson:2.8.6")
    implementation("com.tradplusad:tp_exchange:40.15.2.0.1")

    // Google UMP
    implementation ("com.google.android.ump:user-messaging-platform:3.2.0")

}